org.richfaces.renderkit.html.images

## Class OrderingListIconUp

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.resource.Java2Dresource
    - - org.richfaces.renderkit.html.images.TriangleIconBase
      - - org.richfaces.renderkit.html.images.TriangleIconDown
        - - org.richfaces.renderkit.html.images.TriangleIconUp
          - - org.richfaces.renderkit.html.images.OrderingListIconUp

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource
  Direct Known Subclasses:
    ListShuttleIconCopy, OrderingListIconUpDisabled

      public class OrderingListIconUp
      extends org.richfaces.renderkit.html.images.TriangleIconUp

  Author:
    Siarhej Chalipau

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.images.TriangleIconBase

      `BORDER_COLOR, DISABLED_BORDER_COLOR, DISABLED_ICON_COLOR, ICON_COLOR`

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingListIconUp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`

    - ### Methods inherited from class org.richfaces.renderkit.html.images.TriangleIconUp

      `paintImage`

    - ### Methods inherited from class org.richfaces.renderkit.html.images.TriangleIconBase

      `deserializeData, getDataToStore, getDimensions, getDimensions, getParameterValue, isCacheable, paint, paintBaseTriangle`

    - ### Methods inherited from class org.ajax4jsf.resource.Java2Dresource

      `getImage, getResourceAsStream, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderingListIconUp

          public OrderingListIconUp()

  - ### Method Detail

    - #### getDataToStore

          protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                        java.lang.Object data)

      Overrides:
        `getDataToStore` in class `org.richfaces.renderkit.html.images.TriangleIconBase`

Copyright © 2013. All Rights Reserved.